Name:           ovirt-engine-cli
Version: 2.0
Release: 1%{dist}
Summary:        oVirt Engine Command Line Interface
Group:          Development/Libraries
License:        ASL 2.0
URL:            http://ovirt.org
Source0:        http://ovirt.org/releases/nightly/src/%{name}-%{version}.tar.gz

BuildRequires: python2-devel
BuildRequires: python-setuptools-devel
BuildArch: noarch

Requires: python
Requires: ovirt-engine-sdk >= 1.5-2
Requires: pexpect
Requires: python-setuptools
Requires: python-ply
Conflicts: python-cli

%description
The command line interface for oVirt-Engine.

%prep
%setup -q -n %{name}

%build
%{__python} -c 'import setuptools; execfile("setup.py")' build

%install
%{__python} -c 'import setuptools; execfile("setup.py")' install -O1 --skip-build --root %{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/ovirtcli
%{python_sitelib}/cli
%{python_sitelib}/ovirt_shell-*
%attr (755,root,root)/usr/bin/ovirt-shell
%doc README
%doc AUTHORS
%doc LICENSE

%changelog
* Thu Feb 16 2012 Ofer Schreiber <oschreib@redhat.com> - 2.0-1
- rebuilt for new upstream 2.0

* Wed Feb 15 2012 Michael Pasternak <mpastern@redhat.com> - 2.0
- New application core
- Added support for commands history stack
- Added support for context aware auto-competition
- Dynamic ovirt-engine-sdk meatdata discovering
- Removed restriction for specific version of ovirt-engine-sdk
  from 1.5 and further ovirt-engine-cli can work with any
  version of sdk (unless sdk introduced cli incompatible change)
- same naming convention in ovirt-engine-cli and ovirt-engine-sdk
- reformatted output to support reduced and expended modes in
  list in show commands by --show-all argument 
- object fields formatting
- added support for linux shell commands redirection
- shell output redirection support
- added SSL arguments to connect command
- added ovirt-engine-api version discovering mechanism

* Thu Jan 19 2012 Michael Pasternak <mpastern@redhat.com> - 1.2-1
- unable to add host #782734
  https://bugzilla.redhat.com/show_bug.cgi?id=782734
- unable to add new cluster #782707
  https://bugzilla.redhat.com/show_bug.cgi?id=782707

* Mon Jan 16 2012 Michael Pasternak <mpastern@redhat.com> - 1.1-1
- unable to create data-center: problem with --version param #781834
  https://bugzilla.redhat.com/show_bug.cgi?id=781834
- authentication show as succeeded with bad password (text only) #781820
  https://bugzilla.redhat.com/show_bug.cgi?id=781820

* Thu Dec 15 2011 Ofer Schreiber <oschreib@redhat.com> - 1.0-1
- Initial build
